:: Jazz RepoTools Launcher
@echo off
setlocal
set START_DIR=%~dp0

:set DEFINE=%DEFINE% -Dcom.ibm.team.repotools.rcp.allowInvalidBundles=true
set DEFINE=%DEFINE% -Dcom.ibm.team.repository.provision.profile=./provision_profiles
set DEFINE=%DEFINE% -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true
set DEFINE=%DEFINE% -Dcom.ibm.team.repository.service.internal.nonServiceProxies=com.ibm.rational.report.common.IReportContentRestService
set DEFINE=%DEFINE% -Djava.awt.headless=true
set DEFINE=%DEFINE% -DORACLE_JDBC="%START_DIR%\oracle"
set DEFINE=%DEFINE% -DDB2I_JDBC="%START_DIR%\db2i"
set DEFINE=%DEFINE% -DDB2Z_JDBC="%START_DIR%\db2z"

set JAVA="%START_DIR%\win32\ibm-java2-i386-50\jre\bin\java"
set LAUNCHER=org.eclipse.equinox.launcher_1.0.1.R33x_v20080118.jar
set JAR="%START_DIR%\..\repotools\eclipse\plugins\%LAUNCHER%"
set APPLICATION=com.ibm.team.repotools.rcp.repotools_application

%JAVA% -Xmx512M %DEFINE% -jar %JAR% -application %APPLICATION% %*
endlocal
    
:: Licensed Materials - Property of IBM (c) Copyright IBM Corporation 2006, 2008.
:: All Rights Reserved.
:: 
:: Note to U.S. Government Users Restricted Rights: Use, duplication or
:: disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
    